/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, markType } from "./type";
import { ISummaryResult_$type } from "./ISummaryResult";
/**
 * @hidden
 */
export class DefaultSummaryResult extends Base {
    constructor(a, b, c) {
        super();
        this.c = null;
        this.b = null;
        this.a = 0;
        this.c = a;
        this.a = b;
        this.b = c;
    }
    get propertyName() {
        return this.c;
    }
    get operand() {
        return this.a;
    }
    get value() {
        return this.b;
    }
}
DefaultSummaryResult.$t = markType(DefaultSummaryResult, 'DefaultSummaryResult', Base.$, [ISummaryResult_$type]);
